<?php

class p_copy_link extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        
        parent::__construct();

        // Информация о плагине

        $this->info['plugin']           = 'p_copy_link';
        $this->info['title']            = 'Ссылка при копировании';
        $this->info['description']      = 'Вставляет ссылку на источник при копировании';
        $this->info['author']           = 'Win_wiruzz ';
        $this->info['version']          = '0.1';

        $this->events[]                 = 'PRINT_PAGE_HEAD';
        

    }

// ==================================================================== //

    /**
     * Процедура установки плагина
     * @return bool
     */
    public function install(){

        return parent::install();

    }

// ==================================================================== //

    /**
     * Процедура обновления плагина
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     * Обработка событий
     * @param string $event
     * @param array $user
     * @return html
     */
    public function execute($event, $html){
        parent::execute();

        switch ($event){
            case 'PRINT_PAGE_HEAD': 
              $inPage = cmsPage::getInstance();
              $inPage->addHeadJS('plugins/p_copy_link/copy_link.js');
              return $inPage->page_head;
              break;
        }

   return $html;


    }

// ==================================================================== //

}

?>
